Subject: Bug#1016: top has 3's in vt100

From: Scott Barker <[email-masked]>
Date: Fri, 7 Jun 1996 11:29:48 -0600 (MDT)

Package: procps
Version: 0.97-4

The original bug report said:

:When using top with TERM set to vt100 I get 3's at the end of every
:line. Seems to work fine if TERM is set to xterm. Maybe it needs to
:be recompiled with a newer version of ncurses?

I took a look at the source for top, and at the man pages for terminfo. The
problem would appear to be that top uses printf() to output the terminfo
capability strings, when it should use tputs()

I hope this is useful.

--
Scott Barker
Linux Consultant
[email-masked]
http://www.cuug.ab.ca:8001/~barkers/   (under construction)

[ I try to reply to all e-mail within 5 days. If you don't  ]
[ get a response by then, I probably didn't get your e-mail ]
[ (we have a sometimes sporadic connection to the internet) ]

"Except during the nine months before he draws his first breath, no man
   manages his affairs as well as a tree does."
   - George Bernard Shaw